Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.gui.DirectGuiTest Namespace Reference

## Functions
| dummyCmd (index)
| expand (db)
| ouch (db)
| printDialogValue (value)
| printEntryText (text)
| shrink (db)

## Variables
| base = ShowBase()
| customDialog
| customValues
| db
list | dbArray = []
| de1
| dl = DirectFrame(image = 'models/maps/noise.rgb')
| fancyDialog
| i
| simpleDialog
| smiley = loader.loadModel('models/misc/smiley')
| x

## Detailed Description

    Undocumented Module

## Function Documentation

## ◆ dummyCmd()

dummyCmd | ( |  | index | ) |

## ◆ expand()

expand | ( |  | db | ) |

## ◆ ouch()

ouch | ( |  | db | ) |

## ◆ printDialogValue()

printDialogValue | ( |  | value | ) |

## ◆ printEntryText()

printEntryText | ( |  | text | ) |

## ◆ shrink()

shrink | ( |  | db | ) |

## Variable Documentation

## ◆ base

base = ShowBase()

## ◆ customDialog

customDialog

Initial value:
1= DirectDialog(text = 'Pick a number',
2 buttonTextList = [str(i) for i in range(10)],
3 buttonValueList = range(10),
4 command = printDialogValue)

## ◆ customValues

customValues

Initial value:
1= YesNoDialog(text = 'Not Quite So Simple',
2 buttonValueList = ['Yes', 'No'],
3 command = printDialogValue)

## ◆ db

db

Initial value:
1= DirectButton(parent = dl,
2 image = 'models/maps/noise.rgb',
3 geom = smiley,
4 text = ('Hi!', 'Ouch!', 'Bye!', 'ZZZZ!'),
5 scale = .15, relief = 'raised',
6 # Here we set an option for a component of the button
7 geom1_color = (1, 0, 0, 1),
8 # Here is an example of a component group option
9 text_pos = (.6, -.8),
10 # Set audio characteristics
11 clickSound = DirectGuiGlobals.getDefaultClickSound(),
12 rolloverSound = DirectGuiGlobals.getDefaultRolloverSound()
13 )

## ◆ dbArray

list dbArray = []

## ◆ de1

de1

Initial value:
1= DirectEntry(initialText = 'Hello, how are you?',
2 image = 'models/maps/noise.rgb',
3 image_pos = (4.55, 0, -2.55),
4 image_scale = (5.5, 1, 4),
5 command = printEntryText,
6 pos = (-1.1875, 0, 0.879167),
7 scale = 0.0707855,
8 cursorKeys = 1,
9 )

## ◆ dl

dl = DirectFrame(image = 'models/maps/noise.rgb')

## ◆ fancyDialog

fancyDialog

Initial value:
1= YesNoDialog(text = 'Testing Direct Dialog',
2 geom = smiley,
3 geom_scale = .1,
4 geom_pos = (-0.3, 0, 0),
5 command = printDialogValue)

## ◆ i

i

## ◆ simpleDialog

simpleDialog

Initial value:
1= YesNoDialog(text = 'Simple',
2 command = printDialogValue)

## ◆ smiley

smiley = loader.loadModel('models/misc/smiley')

## ◆ x

x